## Party API

### contents of vars:
- members: `{playername1 = "serialized_data", playername2 = "..."}`
- data: table with the data belonging to the party exept for the members

### PartyManager
- listPartys()
- getPlayersParty() "" means no party
- getParty(partyname)
- setParty(party)
- createParty(partyname) party obj. needs to be saved afterwards
- deleteParty(partyname)
- renameParty(oldname, newname)
- join(playername, partyname)
- leave(playername)

### PartyObject
**data**
- name
- created
- members (structure: see above)

**functions**
- (partyname): creates a new party with the given name
- (partyname, data, members): loads a party with the given params
- getName()
- getData()
- getMembers()
- delete()
- rename(newname)
- join(playername)
- leave(playername)
- getPlayerData(playername)
- setPlayerData(playername, data)

### InvitePartyObject (additional to PartyObject)
**data**
- invite_required (bool)
- invited: serialized table in the form of members